/// <reference types="react" />
import * as React from 'react';
import * as data from '../data';
export interface IFormInputProps {
    registry: data.FieldRegistry;
    fields: data.IField[];
    value: any;
    context?: any;
    attempt?: boolean;
    onChange: (value: any, state: data.IFormState) => void;
}
export declare class FormInput extends React.PureComponent<IFormInputProps, {}> {
    private formState;
    static defaultProps: Partial<IFormInputProps>;
    constructor(props: IFormInputProps);
    private renderField(field, index);
    private onValueChanged(field, value, fieldStatus);
    private fireValuesChange(value);
    private fireValuesInit(value);
    componentWillMount(): void;
    onChange(value: any): void;
    render(): JSX.Element;
}
