"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isFormError(formStatus) {
    if (!formStatus) {
        return false;
    }
    var ids = Object.keys(formStatus);
    for (var _i = 0, ids_1 = ids; _i < ids_1.length; _i++) {
        var id = ids_1[_i];
        var fieldStatus = formStatus[id];
        if (fieldStatus && fieldStatus.error) {
            return true;
        }
    }
    ;
    return false;
}
exports.isFormError = isFormError;
