/// <reference types="react" />
import * as React from 'react';
import * as data from '../../data';
export interface INestedFormBuilderProps {
    emptyLayout?: React.ReactNode;
}
export declare class NestedFormBuilder extends React.PureComponent<data.IFieldBuilderProps & INestedFormBuilderProps, void> {
    constructor();
    private onChangeFields(fields, change);
    private onBeforeAddField(field);
    private canDrop(source, target);
    private onError(error);
    render(): JSX.Element;
}
export declare const NestedFormBuilderWrapper: React.ComponentClass<data.IFieldBuilderProps & INestedFormBuilderProps>;
